WordPress.org

Ready to get started?Download WordPress

Forums

amr ical events lists
i have lost list types and cant (2 posts)

  1. alvarix
    Member
    Posted 2 years ago #

    In the Manage Event List Types 4.0.19 section, I cant add a new type, and when I click the configure for the type that is in there, i get a very confusing page.
    The first section on that page Specify fields to show: show me a table with a header and footer (Field Column,Order,Before,After) but no contents.

    Any help appreciated.

    Very much appreciate the free plugin, but every upgrade has a problem.
    The interfaces have always been uninteligible, and apparently the developer has never heard of backward compatibility.

    http://wordpress.org/extend/plugins/amr-ical-events-list/

  2. anmari
    Member
    Plugin Author

    Posted 2 years ago #

    Click the "reset listytpes" and that should bring all the default list types back. You will need to reapply any custom changes.

    Or use your backup to revert.

    (I say this 'tongue in cheek' because I know many people do not follow appropriate software upgrade procedures - wp makes it way too easy to click that upgrade button without thought of the possible consequences.)

    RE: backward compatbility.

    1) There has been 1 large change which may have caused your problem - on the last big large version number jump - special mention was posted on blog and in changelog that although code had been included to effect the change, there might be problems (But of course most people do not read changelogs :) ). The change was necessary for improved functionality ongoing.

    2) code is always added and tested to manage any changes seamlessly for most people. (So far I am aware of about 4 or 5 people who had some sort of problem, yours sounds the worst so far).

    3) Almost impossible to add new features without there being a 'change' and impossible to anticipate all the variations in people's usage.

    4) key wp developers have previously advised that theme and plugin developers should not need to be there more 2 back versions of wp compatible and the web administrators should keep their systems regularly up to date.

    5) I am aware of a large number of people using the plugin, but not the continual upgrade 'problems' that you mention. Of course there are some occasionally. On the few times they happen, I address them asap , usually within two days. Some had been due to corrupted wp upgrades (not plugin code)

    And as you mention - all for free.

    Donations are so non existent there is no point even highlighting the possibility.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic